<?php
/**
 * GENERIC
 * Modules are the main blocks, each module contains of multiple plugins
 * This is a generic class -- so no need to be in here
 * @package WP-Favicons
 * @since 0.4.0
 * @author Edward de Leau <e@leau.net>, http://edward.de.leau.net
 * @copyright GPL 2
 */

namespace leau\co\wp_favicons;

if (!class_exists("Modules"))
{
	/**
	 * Holds all instantiated module objects
	 * Modules are the main blocks, each module contains of multiple plugins
	 * @since 0.4.0
 	 * @author Edward de Leau <e@leau.net>, http://edward.de.leau.net
	 */
	class Modules
	{
		private $_modules = array();
		private $_module_counter = 0;

		function __construct()
		{
			if (is_admin())
			{
				foreach(Config::GetAllModules() as $moduleSettings)
				{
					/* load the module */
					$this->_modules[$this->_module_counter] = new Module($this->_module_counter);
					/* adds action to the init class to add the module during init */
					add_action( Config::GetPluginSlug() .
						'modules',
						array($this->_modules[$this->_module_counter],'AddSubMenu'), 5, 0 );
					/* increase the counter */
					$this->_module_counter = $this->_module_counter + 1;
				}
			}
		}
	}
}